SAGA algorithms doesn't work in Modeler QGIS 2.2

2014-05-12 09:08 AM - Barbara Duarte

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18677

Description

I am using Modeler in QGIS 2.2 and it gives me an error when I use SAGA algorithms. The error is:

Oooops! The following output layers could not be open

Sum: C:\\Users\\Lia\\AppData\\Local\\Temp\\processing\\27c6ca3a520e41108410d3a06c990490\\RESULTALG0.tif

The above files could not be opened, which probably indicates that they were not correctly produced by the executed algorithm

Checking the log information might help you see why those layers were not created as expected.

GRASS algorithms are working well but SAGA doesn't. I am using Grids Sum algorithm.

Hope you help me.

Best regards,

LDuarte

History

#1 - 2014-05-13 06:30 AM - Antonio Locandro

confirmed, had several issues this past day had to resort to GRASS algorithms instead

#2 - 2014-05-13 06:34 AM - Barbara Duarte

Thanks for check this.

So, SAGA algorithms, especially grids calculator, doesn't work in QGIS 2.2 right?

I have to use GRASS?

#3 - 2014-05-13 07:45 AM - Filipe Dias

Do SAGA algorithms work outside of the Modeler?

#4 - 2014-05-13 07:48 AM - Barbara Duarte

Yes, outside Modeler all SAGA algorithms works fine. 

Inside Modeler, SAGA algorithms as Grids Sum, Grids Product and Raster Calculator, doesn't work.
#5 - 2014-05-13 07:55 AM - Filipe Dias

Go to Plugins -> Manage and Install plugins -> Settings -> activate "Show also experimental plugins"

Then, upgrade "processing" and report back please.

#6 - 2014-05-13 08:14 AM - Barbara Duarte

Do you mean restart QGIS with "upgrade processing" after activate "Show also experimental plugins"?

I did what you said but I get the same error.

#7 - 2014-05-13 11:55 AM - Giovanni Manghi

- Target version changed from Version 2.2 to Version 2.4

The issue seems to be that in the modeller the output (SAGA) raster is not defined, example:

Algorithm starting...

Prepare algorithm 0: Grids sum

Running Grids sum [1/1]

Parameters: GRIDS =None

grid_calculus "Grids Sum" -RESULT "/tmp/processing/e6a09432c0804993946df728166697b0/RESULTALG0.tif.sgrd" 

io_gdal 1 -GRIDS "/tmp/processing/e6a09432c0804993946df728166697b0/RESULTALG0.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/e6a09432c0804993946df728166697b0/RESULTALG0.tif" 

The value for the option 'GRIDS' must be specified.

while not in the modeller it is, example

Algorithm Grids sum starting...

io_gdal 0 -TRANSFORM -INTERPOL 0 -GRIDS "/tmp/processing/080eff9823d64507951a9bc8d38b7f70/slope.sgrd" -FILES

"/home/giovanni/Desktop/CIMAL/projectos_qgis/fauna/dados/rasters/slope.tif" 

io_gdal 0 -TRANSFORM -INTERPOL 0 -GRIDS "/tmp/processing/b08ab0e104e14a60b05d44a9d6bfbc13/demclipped.sgrd" -FILES

"/home/giovanni/Desktop/amlei/dados/raster/dem/dem_clipped.tif" 

grid_calculus "Grids Sum" -GRIDS

"/tmp/processing/080eff9823d64507951a9bc8d38b7f70/slope.sgrd;/tmp/processing/b08ab0e104e14a60b05d44a9d6bfbc13/demclipped.sgrd" -RESULT

"/tmp/processing/d202709121084932b93b30906c18285a/RESULT.tif.sgrd" 

io_gdal 1 -GRIDS "/tmp/processing/d202709121084932b93b30906c18285a/RESULT.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/d202709121084932b93b30906c18285a/RESULT.tif"

#8 - 2014-05-13 11:58 AM - Barbara Duarte

Is there a way to use SAGA algorithms through Modeler?

#9 - 2014-05-14 12:58 AM - Giovanni Manghi

Barbara Duarte wrote:
Is there a way to use SAGA algorithms through Modeler?

If there is a bug this must be fixed. Once fixed a new updated version of the toolbox can be immediately shipped as plugin update. If you are in a hurry to

have a fix then you can hire one of the developers. If you are in Portugal you can drop me a line.

#10 - 2014-05-14 03:47 AM - Barbara Duarte

Ok.

No, I can wait for the new version.

Hope it is fixed.

Thank you for the attention.

#11 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#12 - 2014-11-22 04:29 AM - Alexander Bruy

- Category changed from 94 to Processing/Modeller

- Status changed from Open to Feedback

Still true?

#13 - 2015-01-21 07:29 AM - Paolo Cavallini

They seem to be working now. Please Barbara check and close it if appropriate.,

#14 - 2015-05-22 01:00 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

closing for lack of feedback.

2025-04-27 3/3


